DMAM_DECLARE_COHEREN(9)

NAME
dmam_declare_coherent_memory - Managed dma_declare_coherent_memory

SYNOPSIS

int dmam_declare_coherent_memory(struct device * dev, phys_addr_t phys_addr, dma_addr_t device_addr, size_t size, int flags);

ARGUMENTS

dev
    Device to declare coherent memory for

phys_addr
    Physical address of coherent memory to be declared

device_addr
    Device address of coherent memory to be declared

size
    Size of coherent memory to be declared

flags
    Flags

DESCRIPTION

Managed dma_declare_coherent_memory.

RETURNS

0 on success, -errno on failure.

COPYRIGHT